Skip to main content
Lookup exchange rate

Headers

x-dcc-dhs-version
enum<string>
default:3.0

Optional DHS response version. Use 3.1 to include exchangeRateType; 3.0 is the default.

Available options:
3.0,
3.1
Example:

"3.1"

Path Parameters

acquirerId
string
required

Acquiring bank identification code defined by Fexco to identify the merchant's acquiring bank or ATM

Required string length: 3
merchantId
string
required

The merchant ID is assigned by Fexco. This merchant ID corresponds to Mercury's Merchant Originator Tag. An alphanumeric value that identifies the merchant

Required string length: 1 - 16

Query Parameters

currency
string

List of foreign ISO4217 currency codes. You can specify any combination of alphabetic and numeric currency codes.

Note: Please do not add spaces before or after the commas that separate the currency codes

If you want to override the Card foreigner's currency with a custom currency you can pass the foreign currency in this parameter with the bin information

Note: The base currency is GBP. Please do not use GBP in the currency field

Note: The currency field is only for an MCP Rate Call

bin
string

This value includes the bank identification number (BIN) which is represented by leading digits of the payment card number

Required string length: 6 - 12
cid
string

This value is an extension of bin allowing for the next 6 digits of the card number. This value is the Card Currency Identifier (or Currency ID) which is used in conjunction with the BIN specified and provides the next 6 digits of the card number, whereby:

  • bin: specifies only digits 1 to 6 of the BIN
  • cid: specifies digits 7 to 12 of the card number A maximum of 6 digits is accepted while 4 is the recommended length. Note: Only 4 digits of the CID are stored
Maximum string length: 6

Response

Exchange Rate.
The service can return an Entity or a List of Entities.

uuid
string<uuid>
Example:

"83ec7885-c72b-4f70-99a5-afe1e1f787c5"

baseCurrency
object
rate
string
Example:

"1.0922"

foreignCurrency
object
marginPercentage
string
Example:

"3"

commissionPercentage
string
Example:

"0.010000"

source
string
Example:

"REUTERS WHOLESALE INTERBANK"

sourceTimestamp
string<date-time>
Example:

"2026-03-19T08:00:00.000+0000"

expiry
string<date-time>
Example:

"2026-03-20T08:00:00.000+0000"

exchangeRateType
string

Included when x-dcc-dhs-version is set to 3.1.

Example:

"CARD"